Retrieve a plan
curl --request GET \
--url https://api.spacebring.com/plans/v1/{id} \
--header 'Authorization: Basic <encoded-value>'{
"plan": {
"addons": [],
"commitmentCycles": 123,
"createDate": "2023-11-07T05:31:56Z",
"credits": 123,
"customTax": {
"enabled": true,
"rate": 123
},
"dayPasses": 123,
"description": "<string>",
"discounts": {
"creditPackages": 123,
"desks": 123,
"equipment": 123,
"events": 123,
"rooms": 123,
"shop": 123
},
"exclusiveAccess": {
"resourceRefs": [
"3c90c3cc-0d44-4b50-8888-8dd25736052a"
]
},
"grantedDiscounts": [
{
"coupon": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"amountOff": 123,
"currencyCode": "<string>",
"enabledForCredits": true,
"limitedItems": {
"enabled": true,
"values": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"title": "<string>"
}
]
},
"limitedRedemption": {
"enabled": true,
"usage": 123,
"value": 123
},
"percentOff": 123,
"productTypes": []
}
}
],
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"locale": "<string>",
"locationRef": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"price": 123,
"selfSignup": {
"enabled": true
},
"setupFee": 123,
"title": "<string>",
"access": {
"avigilonAltaGroupRef": 123,
"brivoGroupRef": 123,
"kisiGroupRef": 123,
"saltoksAccessGroupRef": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"tapkeyGroupRef": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
},
"printing": {
"ezeepBlueGroupRef": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}
}Plans
Retrieve a plan
Retrieve a certain plan.
OAuth
Required scopes:plans.readonly or plansGET
/
plans
/
v1
/
{id}
Retrieve a plan
curl --request GET \
--url https://api.spacebring.com/plans/v1/{id} \
--header 'Authorization: Basic <encoded-value>'{
"plan": {
"addons": [],
"commitmentCycles": 123,
"createDate": "2023-11-07T05:31:56Z",
"credits": 123,
"customTax": {
"enabled": true,
"rate": 123
},
"dayPasses": 123,
"description": "<string>",
"discounts": {
"creditPackages": 123,
"desks": 123,
"equipment": 123,
"events": 123,
"rooms": 123,
"shop": 123
},
"exclusiveAccess": {
"resourceRefs": [
"3c90c3cc-0d44-4b50-8888-8dd25736052a"
]
},
"grantedDiscounts": [
{
"coupon": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"amountOff": 123,
"currencyCode": "<string>",
"enabledForCredits": true,
"limitedItems": {
"enabled": true,
"values": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"title": "<string>"
}
]
},
"limitedRedemption": {
"enabled": true,
"usage": 123,
"value": 123
},
"percentOff": 123,
"productTypes": []
}
}
],
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"locale": "<string>",
"locationRef": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"price": 123,
"selfSignup": {
"enabled": true
},
"setupFee": 123,
"title": "<string>",
"access": {
"avigilonAltaGroupRef": 123,
"brivoGroupRef": 123,
"kisiGroupRef": 123,
"saltoksAccessGroupRef": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"tapkeyGroupRef": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
},
"printing": {
"ezeepBlueGroupRef": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}
}Authorizations
BasicAuthOAuth2
See our authentication documentation for how to authorize your requests
Headers
The id of the network. Required when using bearer token authentication
Path Parameters
The id of the plan.
Response
OK
Show child attributes
Show child attributes
Was this page helpful?
⌘I